summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAron Griffis <agriffis@gentoo.org>2004-06-24 04:31:25 +0000
committerAron Griffis <agriffis@gentoo.org>2004-06-24 04:31:25 +0000
commite7c864249e92de0c5fb07a3a50868d1f3ec6adb7 (patch)
tree1ff26fe079386143d4973a873d37b92117f91d6e /sys-devel
parentadded uclibc update for 5.8.4 (Manifest recommit) (diff)
downloadgentoo-2-e7c864249e92de0c5fb07a3a50868d1f3ec6adb7.tar.gz
gentoo-2-e7c864249e92de0c5fb07a3a50868d1f3ec6adb7.tar.bz2
gentoo-2-e7c864249e92de0c5fb07a3a50868d1f3ec6adb7.zip
Fix use invocation and regenerate broken manifest
Diffstat (limited to 'sys-devel')
-rw-r--r--sys-devel/gcc/ChangeLog13
-rw-r--r--sys-devel/gcc/gcc-3.3-r1.ebuild19
-rw-r--r--sys-devel/gcc/gcc-3.3.2-r1.ebuild31
-rw-r--r--sys-devel/gcc/gcc-3.3.2-r2.ebuild31
-rw-r--r--sys-devel/gcc/gcc-3.3.2-r3.ebuild31
-rw-r--r--sys-devel/gcc/gcc-3.3.2-r4.ebuild31
-rw-r--r--sys-devel/gcc/gcc-3.3.2-r5.ebuild32
-rw-r--r--sys-devel/gcc/gcc-3.3.2-r6.ebuild31
-rw-r--r--sys-devel/gcc/gcc-3.3.2-r7.ebuild32
-rw-r--r--sys-devel/gcc/gcc-3.3.2.ebuild31
-rw-r--r--sys-devel/gcc/gcc-3.3.3-r3.ebuild26
-rw-r--r--sys-devel/gcc/gcc-3.3.3-r4.ebuild20
-rw-r--r--sys-devel/gcc/gcc-3.3.3-r5.ebuild22
-rw-r--r--sys-devel/gcc/gcc-3.3.3-r6.ebuild24
-rw-r--r--sys-devel/gcc/gcc-3.3.3.ebuild32
-rw-r--r--sys-devel/gcc/gcc-3.3.3_pre20040130.ebuild31
-rw-r--r--sys-devel/gcc/gcc-3.3.3_pre20040215.ebuild31
-rw-r--r--sys-devel/gcc/gcc-3.3.3_pre20040322.ebuild31
-rw-r--r--sys-devel/gcc/gcc-3.3.3_pre20040408-r1.ebuild31
-rw-r--r--sys-devel/gcc/gcc-3.3.3_pre20040426.ebuild31
-rw-r--r--sys-devel/gcc/gcc-3.3.4.ebuild23
-rw-r--r--sys-devel/gcc/gcc-3.3.ebuild19
-rw-r--r--sys-devel/gcc/gcc-3.4.0-r6.ebuild22
23 files changed, 303 insertions, 322 deletions
diff --git a/sys-devel/gcc/ChangeLog b/sys-devel/gcc/ChangeLog
index 8d93338a9138..54b8a59eba0a 100644
--- a/sys-devel/gcc/ChangeLog
+++ b/sys-devel/gcc/ChangeLog
@@ -1,6 +1,17 @@
# ChangeLog for sys-devel/gcc
# Copyright 2002-2004 Gentoo Technologies, Inc.; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/ChangeLog,v 1.272 2004/06/20 18:13:19 azarah Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/ChangeLog,v 1.273 2004/06/24 04:31:24 agriffis Exp $
+
+ 24 Jun 2004; Aron Griffis <agriffis@gentoo.org> gcc-3.3-r1.ebuild,
+ gcc-3.3.2-r1.ebuild, gcc-3.3.2-r2.ebuild, gcc-3.3.2-r3.ebuild,
+ gcc-3.3.2-r4.ebuild, gcc-3.3.2-r5.ebuild, gcc-3.3.2-r6.ebuild,
+ gcc-3.3.2-r7.ebuild, gcc-3.3.2.ebuild, gcc-3.3.3-r3.ebuild,
+ gcc-3.3.3-r4.ebuild, gcc-3.3.3-r5.ebuild, gcc-3.3.3-r6.ebuild,
+ gcc-3.3.3.ebuild, gcc-3.3.3_pre20040130.ebuild,
+ gcc-3.3.3_pre20040215.ebuild, gcc-3.3.3_pre20040322.ebuild,
+ gcc-3.3.3_pre20040408-r1.ebuild, gcc-3.3.3_pre20040426.ebuild,
+ gcc-3.3.4.ebuild, gcc-3.3.ebuild, gcc-3.4.0-r6.ebuild:
+ Fix use invocation and regenerate broken manifest
*gcc-3.3.4 (20 Jun 2004)
diff --git a/sys-devel/gcc/gcc-3.3-r1.ebuild b/sys-devel/gcc/gcc-3.3-r1.ebuild
index 8cd7c715cf07..2b743ce1144d 100644
--- a/sys-devel/gcc/gcc-3.3-r1.ebuild
+++ b/sys-devel/gcc/gcc-3.3-r1.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3-r1.ebuild,v 1.13 2004/04/26 02:08:01 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3-r1.ebuild,v 1.14 2004/06/24 04:31:24 agriffis Exp $
IUSE="static nls bootstrap java build X f77 objc"
@@ -256,7 +256,7 @@ src_compile() {
local myconf=
local gcc_lang=
- if [ -z "`use build`" ]
+ if ! use build
then
myconf="${myconf} --enable-shared"
gcc_lang="c,c++"
@@ -265,13 +265,13 @@ src_compile() {
else
gcc_lang="c"
fi
- if [ -z "`use nls`" -o "`use build`" ]
+ if ! use nls || use build
then
myconf="${myconf} --disable-nls"
else
myconf="${myconf} --enable-nls --without-included-gettext"
fi
- if [ -n "`use java`" -a -z "`use build`" ]
+ if use java && ! use build
then
gcc_lang="${gcc_lang},java"
fi
@@ -281,8 +281,7 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
@@ -336,7 +335,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -397,7 +396,7 @@ src_install() {
# Make sure we dont have stuff lying around that
# can nuke multiple versions of gcc
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${D}${LIBPATH}
@@ -475,7 +474,7 @@ src_install() {
fi
cd ${S}
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${S}
docinto /${CCHOST}
@@ -510,7 +509,7 @@ src_install() {
cp -f docs/html/17_intro/[A-Z]* \
${D}/usr/share/doc/${PF}/${DOCDESTTREE}/17_intro/
- if [ -n "`use java`" ]
+ if use java
then
cd ${S}/fastjar
docinto ${CCHOST}/fastjar
diff --git a/sys-devel/gcc/gcc-3.3.2-r1.ebuild b/sys-devel/gcc/gcc-3.3.2-r1.ebuild
index c848f8b076d9..546117260e33 100644
--- a/sys-devel/gcc/gcc-3.3.2-r1.ebuild
+++ b/sys-devel/gcc/gcc-3.3.2-r1.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.2-r1.ebuild,v 1.3 2004/01/08 19:53:24 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.2-r1.ebuild,v 1.4 2004/06/24 04:31:24 agriffis Exp $
IUSE="static nls bootstrap java build X multilib"
@@ -199,7 +199,7 @@ src_unpack() {
mkdir -p ${WORKDIR}/patch/exclude
mv -f ${WORKDIR}/patch/{40,41}* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -246,20 +246,20 @@ src_compile() {
local myconf=
local gcc_lang=
- if [ -z "`use build`" ]
+ if ! use build
then
myconf="${myconf} --enable-shared"
gcc_lang="c,c++,f77,objc"
else
gcc_lang="c"
fi
- if [ -z "`use nls`" -o "`use build`" ]
+ if ! use nls || use build
then
myconf="${myconf} --disable-nls"
else
myconf="${myconf} --enable-nls --without-included-gettext"
fi
- if [ -n "`use java`" -a -z "`use build`" ]
+ if use java && ! use build
then
gcc_lang="${gcc_lang},java"
fi
@@ -269,15 +269,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -337,7 +336,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -387,7 +386,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
@@ -403,7 +402,7 @@ src_install() {
# Make sure we dont have stuff lying around that
# can nuke multiple versions of gcc
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${D}${LIBPATH}
@@ -480,7 +479,7 @@ src_install() {
fi
cd ${S}
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${S}
docinto /${CCHOST}
@@ -515,7 +514,7 @@ src_install() {
cp -f docs/html/17_intro/[A-Z]* \
${D}/usr/share/doc/${PF}/${DOCDESTTREE}/17_intro/
- if [ -n "`use java`" ]
+ if use java
then
cd ${S}/fastjar
docinto ${CCHOST}/fastjar
@@ -542,7 +541,7 @@ src_install() {
# Fix ncurses b0rking
find ${D}/ -name '*curses.h' -exec rm -f {} \;
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -562,7 +561,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -574,7 +573,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.2-r2.ebuild b/sys-devel/gcc/gcc-3.3.2-r2.ebuild
index d6e66f0cf9c1..9f856d9e9cbf 100644
--- a/sys-devel/gcc/gcc-3.3.2-r2.ebuild
+++ b/sys-devel/gcc/gcc-3.3.2-r2.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.2-r2.ebuild,v 1.9 2004/01/08 19:53:24 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.2-r2.ebuild,v 1.10 2004/06/24 04:31:24 agriffis Exp $
IUSE="static nls bootstrap java build X multilib"
@@ -199,7 +199,7 @@ src_unpack() {
mkdir -p ${WORKDIR}/patch/exclude
mv -f ${WORKDIR}/patch/{40,41}* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -246,20 +246,20 @@ src_compile() {
local myconf=
local gcc_lang=
- if [ -z "`use build`" ]
+ if ! use build
then
myconf="${myconf} --enable-shared"
gcc_lang="c,c++,f77,objc"
else
gcc_lang="c"
fi
- if [ -z "`use nls`" -o "`use build`" ]
+ if ! use nls || use build
then
myconf="${myconf} --disable-nls"
else
myconf="${myconf} --enable-nls --without-included-gettext"
fi
- if [ -n "`use java`" -a -z "`use build`" ]
+ if use java && ! use build
then
gcc_lang="${gcc_lang},java"
fi
@@ -269,15 +269,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -340,7 +339,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -390,7 +389,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
@@ -406,7 +405,7 @@ src_install() {
# Make sure we dont have stuff lying around that
# can nuke multiple versions of gcc
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${D}${LIBPATH}
@@ -483,7 +482,7 @@ src_install() {
fi
cd ${S}
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${S}
docinto /${CCHOST}
@@ -518,7 +517,7 @@ src_install() {
cp -f docs/html/17_intro/[A-Z]* \
${D}/usr/share/doc/${PF}/${DOCDESTTREE}/17_intro/
- if [ -n "`use java`" ]
+ if use java
then
cd ${S}/fastjar
docinto ${CCHOST}/fastjar
@@ -545,7 +544,7 @@ src_install() {
# Fix ncurses b0rking
find ${D}/ -name '*curses.h' -exec rm -f {} \;
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -565,7 +564,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -577,7 +576,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.2-r3.ebuild b/sys-devel/gcc/gcc-3.3.2-r3.ebuild
index 6b5f23cb8a22..a9e5210242d5 100644
--- a/sys-devel/gcc/gcc-3.3.2-r3.ebuild
+++ b/sys-devel/gcc/gcc-3.3.2-r3.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.2-r3.ebuild,v 1.6 2004/02/26 20:36:49 pappy Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.2-r3.ebuild,v 1.7 2004/06/24 04:31:24 agriffis Exp $
IUSE="static nls bootstrap java build X multilib"
@@ -205,7 +205,7 @@ src_unpack() {
mkdir -p ${WORKDIR}/patch/exclude
mv -f ${WORKDIR}/patch/{40,41}* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -286,20 +286,20 @@ src_compile() {
local myconf=
local gcc_lang=
- if [ -z "`use build`" ]
+ if ! use build
then
myconf="${myconf} --enable-shared"
gcc_lang="c,c++,f77,objc"
else
gcc_lang="c"
fi
- if [ -z "`use nls`" -o "`use build`" ]
+ if ! use nls || use build
then
myconf="${myconf} --disable-nls"
else
myconf="${myconf} --enable-nls --without-included-gettext"
fi
- if [ -n "`use java`" -a -z "`use build`" ]
+ if use java && ! use build
then
gcc_lang="${gcc_lang},java"
fi
@@ -309,15 +309,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -380,7 +379,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -430,7 +429,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
@@ -446,7 +445,7 @@ src_install() {
# Make sure we dont have stuff lying around that
# can nuke multiple versions of gcc
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${D}${LIBPATH}
@@ -523,7 +522,7 @@ src_install() {
fi
cd ${S}
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${S}
docinto /${CCHOST}
@@ -558,7 +557,7 @@ src_install() {
cp -f docs/html/17_intro/[A-Z]* \
${D}/usr/share/doc/${PF}/${DOCDESTTREE}/17_intro/
- if [ -n "`use java`" ]
+ if use java
then
cd ${S}/fastjar
docinto ${CCHOST}/fastjar
@@ -585,7 +584,7 @@ src_install() {
# Fix ncurses b0rking
find ${D}/ -name '*curses.h' -exec rm -f {} \;
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -605,7 +604,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -617,7 +616,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.2-r4.ebuild b/sys-devel/gcc/gcc-3.3.2-r4.ebuild
index 70b4b7bfa933..f17676317e61 100644
--- a/sys-devel/gcc/gcc-3.3.2-r4.ebuild
+++ b/sys-devel/gcc/gcc-3.3.2-r4.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.2-r4.ebuild,v 1.3 2004/02/03 23:59:44 kumba Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.2-r4.ebuild,v 1.4 2004/06/24 04:31:24 agriffis Exp $
IUSE="static nls bootstrap java build X multilib"
@@ -208,7 +208,7 @@ src_unpack() {
mkdir -p ${WORKDIR}/patch/exclude
# mv -f ${WORKDIR}/patch/{40,41}* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -290,20 +290,20 @@ src_compile() {
local myconf=
local gcc_lang=
- if [ -z "`use build`" ]
+ if ! use build
then
myconf="${myconf} --enable-shared"
gcc_lang="c,c++,f77,objc"
else
gcc_lang="c"
fi
- if [ -z "`use nls`" -o "`use build`" ]
+ if ! use nls || use build
then
myconf="${myconf} --disable-nls"
else
myconf="${myconf} --enable-nls --without-included-gettext"
fi
- if [ -n "`use java`" -a -z "`use build`" ]
+ if use java && ! use build
then
gcc_lang="${gcc_lang},java"
fi
@@ -313,15 +313,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -385,7 +384,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -447,7 +446,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> \
@@ -464,7 +463,7 @@ src_install() {
# Make sure we dont have stuff lying around that
# can nuke multiple versions of gcc
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${D}${LIBPATH}
@@ -541,7 +540,7 @@ src_install() {
fi
cd ${S}
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${S}
docinto /${CCHOST}
@@ -576,7 +575,7 @@ src_install() {
cp -f docs/html/17_intro/[A-Z]* \
${D}/usr/share/doc/${PF}/${DOCDESTTREE}/17_intro/
- if [ -n "`use java`" ]
+ if use java
then
cd ${S}/fastjar
docinto ${CCHOST}/fastjar
@@ -600,7 +599,7 @@ src_install() {
exeinto /sbin
doexe ${FILESDIR}/fix_libtool_files.sh
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -620,7 +619,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -632,7 +631,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.2-r5.ebuild b/sys-devel/gcc/gcc-3.3.2-r5.ebuild
index 1d4d08359953..747167dd0b15 100644
--- a/sys-devel/gcc/gcc-3.3.2-r5.ebuild
+++ b/sys-devel/gcc/gcc-3.3.2-r5.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.2-r5.ebuild,v 1.16 2004/05/27 12:30:29 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.2-r5.ebuild,v 1.17 2004/06/24 04:31:24 agriffis Exp $
IUSE="static nls bootstrap java build X multilib gcj"
@@ -265,7 +265,7 @@ src_unpack() {
mkdir -p ${WORKDIR}/patch/exclude
# mv -f ${WORKDIR}/patch/{40,41}* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -320,20 +320,20 @@ src_compile() {
local myconf=
local gcc_lang=
- if [ -z "`use build`" ]
+ if ! use build
then
myconf="${myconf} --enable-shared"
gcc_lang="c,c++,f77,objc"
else
gcc_lang="c"
fi
- if [ -z "`use nls`" -o "`use build`" ]
+ if ! use nls || use build
then
myconf="${myconf} --disable-nls"
else
myconf="${myconf} --enable-nls --without-included-gettext"
fi
- if [ -n "`use java`" -a "`use gcj`" -a -z "`use build`" ]
+ if use java && use gcj && ! use build
then
gcc_lang="${gcc_lang},java"
fi
@@ -343,16 +343,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a "`use gcj`" -a \
- -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use gcj && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -418,7 +416,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -480,7 +478,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> \
@@ -503,7 +501,7 @@ src_install() {
# Make sure we dont have stuff lying around that
# can nuke multiple versions of gcc
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${D}${LIBPATH}
@@ -580,7 +578,7 @@ src_install() {
fi
cd ${S}
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${S}
docinto /${CCHOST}
@@ -615,7 +613,7 @@ src_install() {
cp -f docs/html/17_intro/[A-Z]* \
${D}/usr/share/doc/${PF}/${DOCDESTTREE}/17_intro/
- if [ -n "`use java`" -a "`use gcj`" ]
+ if use java && use gcj
then
cd ${S}/fastjar
docinto ${CCHOST}/fastjar
@@ -639,7 +637,7 @@ src_install() {
exeinto /sbin
doexe ${FILESDIR}/fix_libtool_files.sh
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -659,7 +657,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -671,7 +669,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.2-r6.ebuild b/sys-devel/gcc/gcc-3.3.2-r6.ebuild
index 461c5908fd90..77d260e05208 100644
--- a/sys-devel/gcc/gcc-3.3.2-r6.ebuild
+++ b/sys-devel/gcc/gcc-3.3.2-r6.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.2-r6.ebuild,v 1.6 2004/03/15 09:23:16 kumba Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.2-r6.ebuild,v 1.7 2004/06/24 04:31:24 agriffis Exp $
IUSE="static nls bootstrap java build X multilib"
@@ -265,7 +265,7 @@ src_unpack() {
mkdir -p ${WORKDIR}/patch/exclude
mv -f ${WORKDIR}/patch/{40,41}* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -320,20 +320,20 @@ src_compile() {
local myconf=
local gcc_lang=
- if [ -z "`use build`" ]
+ if ! use build
then
myconf="${myconf} --enable-shared"
gcc_lang="c,c++,f77,objc"
else
gcc_lang="c"
fi
- if [ -z "`use nls`" -o "`use build`" ]
+ if ! use nls || use build
then
myconf="${myconf} --disable-nls"
else
myconf="${myconf} --enable-nls --without-included-gettext"
fi
- if [ -n "`use java`" -a -z "`use build`" ]
+ if use java && ! use build
then
gcc_lang="${gcc_lang},java"
fi
@@ -343,15 +343,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -415,7 +414,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -477,7 +476,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> \
@@ -500,7 +499,7 @@ src_install() {
# Make sure we dont have stuff lying around that
# can nuke multiple versions of gcc
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${D}${LIBPATH}
@@ -577,7 +576,7 @@ src_install() {
fi
cd ${S}
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${S}
docinto /${CCHOST}
@@ -612,7 +611,7 @@ src_install() {
cp -f docs/html/17_intro/[A-Z]* \
${D}/usr/share/doc/${PF}/${DOCDESTTREE}/17_intro/
- if [ -n "`use java`" ]
+ if use java
then
cd ${S}/fastjar
docinto ${CCHOST}/fastjar
@@ -636,7 +635,7 @@ src_install() {
exeinto /sbin
doexe ${FILESDIR}/fix_libtool_files.sh
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -656,7 +655,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -668,7 +667,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.2-r7.ebuild b/sys-devel/gcc/gcc-3.3.2-r7.ebuild
index 414664b1def8..1e269c7395ab 100644
--- a/sys-devel/gcc/gcc-3.3.2-r7.ebuild
+++ b/sys-devel/gcc/gcc-3.3.2-r7.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.2-r7.ebuild,v 1.7 2004/04/24 00:38:49 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.2-r7.ebuild,v 1.8 2004/06/24 04:31:24 agriffis Exp $
IUSE="static nls bootstrap java build X multilib gcj"
@@ -292,7 +292,7 @@ src_unpack() {
# mv -f ${WORKDIR}/patch/{40,41}* ${WORKDIR}/patch/exclude/
mv -f ${WORKDIR}/patch/41* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -347,20 +347,20 @@ src_compile() {
local myconf=
local gcc_lang=
- if [ -z "`use build`" ]
+ if ! use build
then
myconf="${myconf} --enable-shared"
gcc_lang="c,c++,f77,objc"
else
gcc_lang="c"
fi
- if [ -z "`use nls`" -o "`use build`" ]
+ if ! use nls || use build
then
myconf="${myconf} --disable-nls"
else
myconf="${myconf} --enable-nls --without-included-gettext"
fi
- if [ -n "`use java`" -a "`use gcj`" -a -z "`use build`" ]
+ if use java && use gcj && ! use build
then
gcc_lang="${gcc_lang},java"
fi
@@ -370,16 +370,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a "`use gcj`" -a \
- -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use gcj && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -445,7 +443,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -507,7 +505,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> \
@@ -530,7 +528,7 @@ src_install() {
# Make sure we dont have stuff lying around that
# can nuke multiple versions of gcc
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${D}${LIBPATH}
@@ -607,7 +605,7 @@ src_install() {
fi
cd ${S}
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${S}
docinto /${CCHOST}
@@ -642,7 +640,7 @@ src_install() {
cp -f docs/html/17_intro/[A-Z]* \
${D}/usr/share/doc/${PF}/${DOCDESTTREE}/17_intro/
- if [ -n "`use java`" -a "`use gcj`" ]
+ if use java && use gcj
then
cd ${S}/fastjar
docinto ${CCHOST}/fastjar
@@ -666,7 +664,7 @@ src_install() {
exeinto /sbin
doexe ${FILESDIR}/fix_libtool_files.sh
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -686,7 +684,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -698,7 +696,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.2.ebuild b/sys-devel/gcc/gcc-3.3.2.ebuild
index e9277dc83928..f4f1a80b939e 100644
--- a/sys-devel/gcc/gcc-3.3.2.ebuild
+++ b/sys-devel/gcc/gcc-3.3.2.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.2.ebuild,v 1.9 2004/02/26 20:36:49 pappy Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.2.ebuild,v 1.10 2004/06/24 04:31:24 agriffis Exp $
IUSE="static nls bootstrap java build X multilib"
@@ -204,7 +204,7 @@ src_unpack() {
epatch ${WORKDIR}/patch
fi
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
epatch ${FILESDIR}/gcc331_use_multilib.amd64.patch
fi
@@ -245,20 +245,20 @@ src_compile() {
local myconf=
local gcc_lang=
- if [ -z "`use build`" ]
+ if ! use build
then
myconf="${myconf} --enable-shared"
gcc_lang="c,c++,f77,objc"
else
gcc_lang="c"
fi
- if [ -z "`use nls`" -o "`use build`" ]
+ if ! use nls || use build
then
myconf="${myconf} --disable-nls"
else
myconf="${myconf} --enable-nls --without-included-gettext"
fi
- if [ -n "`use java`" -a -z "`use build`" ]
+ if use java && ! use build
then
gcc_lang="${gcc_lang},java"
fi
@@ -268,15 +268,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -339,7 +338,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -389,7 +388,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
@@ -405,7 +404,7 @@ src_install() {
# Make sure we dont have stuff lying around that
# can nuke multiple versions of gcc
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${D}${LIBPATH}
@@ -482,7 +481,7 @@ src_install() {
fi
cd ${S}
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${S}
docinto /${CCHOST}
@@ -517,7 +516,7 @@ src_install() {
cp -f docs/html/17_intro/[A-Z]* \
${D}/usr/share/doc/${PF}/${DOCDESTTREE}/17_intro/
- if [ -n "`use java`" ]
+ if use java
then
cd ${S}/fastjar
docinto ${CCHOST}/fastjar
@@ -544,7 +543,7 @@ src_install() {
# Fix ncurses b0rking
find ${D}/ -name '*curses.h' -exec rm -f {} \;
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -564,7 +563,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -576,7 +575,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.3-r3.ebuild b/sys-devel/gcc/gcc-3.3.3-r3.ebuild
index 960d9fb8e289..75bc20d94b22 100644
--- a/sys-devel/gcc/gcc-3.3.3-r3.ebuild
+++ b/sys-devel/gcc/gcc-3.3.3-r3.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3-r3.ebuild,v 1.7 2004/05/07 02:01:08 lv Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3-r3.ebuild,v 1.8 2004/06/24 04:31:24 agriffis Exp $
IUSE="static nls bootstrap java build X multilib gcj f77 objc hardened uclibc"
@@ -310,7 +310,7 @@ src_unpack() {
#use uclibc || mv -f ${WORKDIR}/patch/8?_* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -363,7 +363,7 @@ src_unpack() {
release_version="${release_version}, pie-${PIE_VER}"
- if [ -n "`use hardened`" -a "${ARCH}" != "sparc" -a "${ARCH}" != "arm" ]
+ if use hardened && [ "${ARCH}" != "sparc" -a "${ARCH}" != "arm" ]
then
einfo "Updating gcc to use automatic PIE + SSP building ..."
sed -e 's|^ALL_CFLAGS = |ALL_CFLAGS = -DEFAULT_PIE_SSP|' \
@@ -427,16 +427,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use gcj`" -a \
- -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use gcj && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -516,7 +514,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -578,7 +576,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> \
@@ -601,7 +599,7 @@ src_install() {
# Make sure we dont have stuff lying around that
# can nuke multiple versions of gcc
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${D}${LIBPATH}
@@ -678,7 +676,7 @@ src_install() {
fi
cd ${S}
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${S}
docinto /${CCHOST}
@@ -743,7 +741,7 @@ src_install() {
exeinto /sbin
doexe ${FILESDIR}/fix_libtool_files.sh
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -763,7 +761,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -775,7 +773,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.3-r4.ebuild b/sys-devel/gcc/gcc-3.3.3-r4.ebuild
index e227794aedfc..2cc2fd8e9ae1 100644
--- a/sys-devel/gcc/gcc-3.3.3-r4.ebuild
+++ b/sys-devel/gcc/gcc-3.3.3-r4.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3-r4.ebuild,v 1.8 2004/05/08 23:09:05 solar Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3-r4.ebuild,v 1.9 2004/06/24 04:31:24 agriffis Exp $
IUSE="static nls bootstrap java build X multilib gcj f77 objc hardened uclibc debug"
@@ -317,7 +317,7 @@ src_unpack() {
# do not enable it, the pie patches won't apply
#use uclibc || mv -f ${WORKDIR}/patch/8?_* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -450,16 +450,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use gcj`" -a \
- -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use gcj && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -540,7 +538,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -602,7 +600,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> \
@@ -764,7 +762,7 @@ src_install() {
exeinto /sbin
doexe ${FILESDIR}/fix_libtool_files.sh
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -784,7 +782,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -796,7 +794,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.3-r5.ebuild b/sys-devel/gcc/gcc-3.3.3-r5.ebuild
index 3d72928abf21..3641177f8f3a 100644
--- a/sys-devel/gcc/gcc-3.3.3-r5.ebuild
+++ b/sys-devel/gcc/gcc-3.3.3-r5.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3-r5.ebuild,v 1.3 2004/05/21 02:54:08 solar Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3-r5.ebuild,v 1.4 2004/06/24 04:31:24 agriffis Exp $
IUSE="static nls bootstrap java build X multilib gcj f77 objc hardened uclibc debug"
@@ -313,7 +313,7 @@ src_unpack() {
# do not enable it, the pie patches won't apply
#use uclibc || mv -f ${WORKDIR}/patch/8?_* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -381,7 +381,7 @@ src_unpack() {
#use uclibc || epatch ${DISTDIR}/${SSP_EXCLUSION_PATCH}
release_version="${release_version}, pie-${PIE_VER}"
- if ( ( use hardened ) && ( use x86 || use sparc || use amd64) )
+ if use hardened && ( use x86 || use sparc || use amd64 )
then
einfo "Updating gcc to use automatic PIE + SSP building ..."
sed -e 's|^ALL_CFLAGS = |ALL_CFLAGS = -DEFAULT_PIE_SSP |' \
@@ -445,16 +445,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use gcj`" -a \
- -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use gcj && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -535,7 +533,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -597,7 +595,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> \
@@ -759,7 +757,7 @@ src_install() {
exeinto /sbin
doexe ${FILESDIR}/fix_libtool_files.sh
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -779,7 +777,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -791,7 +789,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.3-r6.ebuild b/sys-devel/gcc/gcc-3.3.3-r6.ebuild
index 25ccc015345d..0eaca2e0d008 100644
--- a/sys-devel/gcc/gcc-3.3.3-r6.ebuild
+++ b/sys-devel/gcc/gcc-3.3.3-r6.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3-r6.ebuild,v 1.6 2004/06/09 09:39:23 pappy Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3-r6.ebuild,v 1.7 2004/06/24 04:31:25 agriffis Exp $
IUSE="static nls bootstrap java build X multilib gcj f77 objc pic hardened uclibc debug"
@@ -316,7 +316,7 @@ src_unpack() {
# do not enable it, the pie patches won't apply
#use uclibc || mv -f ${WORKDIR}/patch/8?_* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -379,9 +379,9 @@ src_unpack() {
cd ${WORKDIR}/${P}
release_version="${release_version}, pie-${PIE_VER}"
- # if ( use hardened && ( use x86 || use sparc || use amd64 ) )
+ # if use hardened && ( use x86 || use sparc || use amd64 )
# the use hardened && use sparc part breaks glibc compiling - pappy
- if ( use hardened && ( use x86 || use amd64 ) )
+ if use hardened && ( use x86 || use amd64 )
then
einfo "Updating gcc to use automatic PIE + SSP building ..."
sed -e 's|^ALL_CFLAGS = |ALL_CFLAGS = -DEFAULT_PIE_SSP |' \
@@ -442,16 +442,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use gcj`" -a \
- -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use gcj && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -536,7 +534,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -598,7 +596,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> \
@@ -760,7 +758,7 @@ src_install() {
exeinto /sbin
doexe ${FILESDIR}/fix_libtool_files.sh
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -780,7 +778,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -792,7 +790,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.3.ebuild b/sys-devel/gcc/gcc-3.3.3.ebuild
index 66053f98e69d..f5777c087261 100644
--- a/sys-devel/gcc/gcc-3.3.3.ebuild
+++ b/sys-devel/gcc/gcc-3.3.3.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3.ebuild,v 1.9 2004/05/07 02:01:08 lv Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3.ebuild,v 1.10 2004/06/24 04:31:25 agriffis Exp $
IUSE="static nls bootstrap java build X multilib gcj"
@@ -293,7 +293,7 @@ src_unpack() {
# mv -f ${WORKDIR}/patch/{40,41}* ${WORKDIR}/patch/exclude/
mv -f ${WORKDIR}/patch/41* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -357,20 +357,20 @@ src_compile() {
local myconf=
local gcc_lang=
- if [ -z "`use build`" ]
+ if ! use build
then
myconf="${myconf} --enable-shared"
gcc_lang="c,c++,f77,objc"
else
gcc_lang="c"
fi
- if [ -z "`use nls`" -o "`use build`" ]
+ if ! use nls || use build
then
myconf="${myconf} --disable-nls"
else
myconf="${myconf} --enable-nls --without-included-gettext"
fi
- if [ -n "`use java`" -a "`use gcj`" -a -z "`use build`" ]
+ if use java && use gcj && ! use build
then
gcc_lang="${gcc_lang},java"
fi
@@ -380,16 +380,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a "`use gcj`" -a \
- -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use gcj && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -455,7 +453,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -517,7 +515,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> \
@@ -540,7 +538,7 @@ src_install() {
# Make sure we dont have stuff lying around that
# can nuke multiple versions of gcc
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${D}${LIBPATH}
@@ -617,7 +615,7 @@ src_install() {
fi
cd ${S}
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${S}
docinto /${CCHOST}
@@ -652,7 +650,7 @@ src_install() {
cp -f docs/html/17_intro/[A-Z]* \
${D}/usr/share/doc/${PF}/${DOCDESTTREE}/17_intro/
- if [ -n "`use java`" -a "`use gcj`" ]
+ if use java && use gcj
then
cd ${S}/fastjar
docinto ${CCHOST}/fastjar
@@ -676,7 +674,7 @@ src_install() {
exeinto /sbin
doexe ${FILESDIR}/fix_libtool_files.sh
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -696,7 +694,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -708,7 +706,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.3_pre20040130.ebuild b/sys-devel/gcc/gcc-3.3.3_pre20040130.ebuild
index b461a4f1c800..8ac1e04af469 100644
--- a/sys-devel/gcc/gcc-3.3.3_pre20040130.ebuild
+++ b/sys-devel/gcc/gcc-3.3.3_pre20040130.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3_pre20040130.ebuild,v 1.2 2004/02/10 13:12:33 mr_bones_ Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3_pre20040130.ebuild,v 1.3 2004/06/24 04:31:25 agriffis Exp $
IUSE="static nls bootstrap java build X multilib"
@@ -270,7 +270,7 @@ src_unpack() {
mkdir -p ${WORKDIR}/patch/exclude
mv -f ${WORKDIR}/patch/{40,41}* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -327,20 +327,20 @@ src_compile() {
local myconf=
local gcc_lang=
- if [ -z "`use build`" ]
+ if ! use build
then
myconf="${myconf} --enable-shared"
gcc_lang="c,c++,f77,objc"
else
gcc_lang="c"
fi
- if [ -z "`use nls`" -o "`use build`" ]
+ if ! use nls || use build
then
myconf="${myconf} --disable-nls"
else
myconf="${myconf} --enable-nls --without-included-gettext"
fi
- if [ -n "`use java`" -a -z "`use build`" ]
+ if use java && ! use build
then
gcc_lang="${gcc_lang},java"
fi
@@ -350,15 +350,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -422,7 +421,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -484,7 +483,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> \
@@ -507,7 +506,7 @@ src_install() {
# Make sure we dont have stuff lying around that
# can nuke multiple versions of gcc
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${D}${LIBPATH}
@@ -584,7 +583,7 @@ src_install() {
fi
cd ${S}
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${S}
docinto /${CCHOST}
@@ -619,7 +618,7 @@ src_install() {
cp -f docs/html/17_intro/[A-Z]* \
${D}/usr/share/doc/${PF}/${DOCDESTTREE}/17_intro/
- if [ -n "`use java`" ]
+ if use java
then
cd ${S}/fastjar
docinto ${CCHOST}/fastjar
@@ -643,7 +642,7 @@ src_install() {
exeinto /sbin
doexe ${FILESDIR}/fix_libtool_files.sh
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -663,7 +662,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -675,7 +674,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.3_pre20040215.ebuild b/sys-devel/gcc/gcc-3.3.3_pre20040215.ebuild
index d179a9c579c8..c2f7bdb755a6 100644
--- a/sys-devel/gcc/gcc-3.3.3_pre20040215.ebuild
+++ b/sys-devel/gcc/gcc-3.3.3_pre20040215.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3_pre20040215.ebuild,v 1.4 2004/03/22 16:58:03 lu_zero Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3_pre20040215.ebuild,v 1.5 2004/06/24 04:31:25 agriffis Exp $
IUSE="static nls bootstrap java build X multilib"
@@ -275,7 +275,7 @@ src_unpack() {
mkdir -p ${WORKDIR}/patch/exclude
mv -f ${WORKDIR}/patch/{40,41}* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -327,20 +327,20 @@ src_compile() {
local myconf=
local gcc_lang=
- if [ -z "`use build`" ]
+ if ! use build
then
myconf="${myconf} --enable-shared"
gcc_lang="c,c++,f77,objc"
else
gcc_lang="c"
fi
- if [ -z "`use nls`" -o "`use build`" ]
+ if ! use nls || use build
then
myconf="${myconf} --disable-nls"
else
myconf="${myconf} --enable-nls --without-included-gettext"
fi
- if [ -n "`use java`" -a -z "`use build`" ]
+ if use java && ! use build
then
gcc_lang="${gcc_lang},java"
fi
@@ -350,15 +350,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -434,7 +433,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -501,7 +500,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> \
@@ -524,7 +523,7 @@ src_install() {
# Make sure we dont have stuff lying around that
# can nuke multiple versions of gcc
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${D}${LIBPATH}
@@ -601,7 +600,7 @@ src_install() {
fi
cd ${S}
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${S}
docinto /${CCHOST}
@@ -636,7 +635,7 @@ src_install() {
cp -f docs/html/17_intro/[A-Z]* \
${D}/usr/share/doc/${PF}/${DOCDESTTREE}/17_intro/
- if [ -n "`use java`" ]
+ if use java
then
cd ${S}/fastjar
docinto ${CCHOST}/fastjar
@@ -660,7 +659,7 @@ src_install() {
exeinto /sbin
doexe ${FILESDIR}/fix_libtool_files.sh
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -680,7 +679,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -692,7 +691,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.3_pre20040322.ebuild b/sys-devel/gcc/gcc-3.3.3_pre20040322.ebuild
index 92fde8fc2d4e..a479fd08e218 100644
--- a/sys-devel/gcc/gcc-3.3.3_pre20040322.ebuild
+++ b/sys-devel/gcc/gcc-3.3.3_pre20040322.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3_pre20040322.ebuild,v 1.4 2004/05/01 03:51:58 tgall Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3_pre20040322.ebuild,v 1.5 2004/06/24 04:31:25 agriffis Exp $
IUSE="static nls bootstrap java build X multilib"
@@ -275,7 +275,7 @@ src_unpack() {
mkdir -p ${WORKDIR}/patch/exclude
mv -f ${WORKDIR}/patch/{40,41}* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -327,20 +327,20 @@ src_compile() {
local myconf=
local gcc_lang=
- if [ -z "`use build`" ]
+ if ! use build
then
myconf="${myconf} --enable-shared"
gcc_lang="c,c++,f77,objc"
else
gcc_lang="c"
fi
- if [ -z "`use nls`" -o "`use build`" ]
+ if ! use nls || use build
then
myconf="${myconf} --disable-nls"
else
myconf="${myconf} --enable-nls --without-included-gettext"
fi
- if [ -n "`use java`" -a -z "`use build`" ]
+ if use java && ! use build
then
gcc_lang="${gcc_lang},java"
fi
@@ -350,15 +350,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -437,7 +436,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -504,7 +503,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> \
@@ -527,7 +526,7 @@ src_install() {
# Make sure we dont have stuff lying around that
# can nuke multiple versions of gcc
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${D}${LIBPATH}
@@ -604,7 +603,7 @@ src_install() {
fi
cd ${S}
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${S}
docinto /${CCHOST}
@@ -639,7 +638,7 @@ src_install() {
cp -f docs/html/17_intro/[A-Z]* \
${D}/usr/share/doc/${PF}/${DOCDESTTREE}/17_intro/
- if [ -n "`use java`" ]
+ if use java
then
cd ${S}/fastjar
docinto ${CCHOST}/fastjar
@@ -663,7 +662,7 @@ src_install() {
exeinto /sbin
doexe ${FILESDIR}/fix_libtool_files.sh
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -683,7 +682,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -695,7 +694,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.3_pre20040408-r1.ebuild b/sys-devel/gcc/gcc-3.3.3_pre20040408-r1.ebuild
index 8d174117a9d9..e2f0bae68097 100644
--- a/sys-devel/gcc/gcc-3.3.3_pre20040408-r1.ebuild
+++ b/sys-devel/gcc/gcc-3.3.3_pre20040408-r1.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3_pre20040408-r1.ebuild,v 1.4 2004/06/02 21:28:46 pvdabeel Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3_pre20040408-r1.ebuild,v 1.5 2004/06/24 04:31:25 agriffis Exp $
IUSE="static nls bootstrap java build X multilib"
@@ -276,7 +276,7 @@ src_unpack() {
mkdir -p ${WORKDIR}/patch/exclude
mv -f ${WORKDIR}/patch/{40,41}* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -328,20 +328,20 @@ src_compile() {
local myconf=
local gcc_lang=
- if [ -z "`use build`" ]
+ if ! use build
then
myconf="${myconf} --enable-shared"
gcc_lang="c,c++,f77,objc"
else
gcc_lang="c"
fi
- if [ -z "`use nls`" -o "`use build`" ]
+ if ! use nls || use build
then
myconf="${myconf} --disable-nls"
else
myconf="${myconf} --enable-nls --without-included-gettext"
fi
- if [ -n "`use java`" -a -z "`use build`" ]
+ if use java && ! use build
then
gcc_lang="${gcc_lang},java"
fi
@@ -351,15 +351,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -438,7 +437,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -505,7 +504,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> \
@@ -528,7 +527,7 @@ src_install() {
# Make sure we dont have stuff lying around that
# can nuke multiple versions of gcc
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${D}${LIBPATH}
@@ -605,7 +604,7 @@ src_install() {
fi
cd ${S}
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${S}
docinto /${CCHOST}
@@ -640,7 +639,7 @@ src_install() {
cp -f docs/html/17_intro/[A-Z]* \
${D}/usr/share/doc/${PF}/${DOCDESTTREE}/17_intro/
- if [ -n "`use java`" ]
+ if use java
then
cd ${S}/fastjar
docinto ${CCHOST}/fastjar
@@ -664,7 +663,7 @@ src_install() {
exeinto /sbin
doexe ${FILESDIR}/fix_libtool_files.sh
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -684,7 +683,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -696,7 +695,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.3_pre20040426.ebuild b/sys-devel/gcc/gcc-3.3.3_pre20040426.ebuild
index a0d0b66d3783..8fcc015322f5 100644
--- a/sys-devel/gcc/gcc-3.3.3_pre20040426.ebuild
+++ b/sys-devel/gcc/gcc-3.3.3_pre20040426.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3_pre20040426.ebuild,v 1.2 2004/05/01 03:51:58 tgall Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.3_pre20040426.ebuild,v 1.3 2004/06/24 04:31:25 agriffis Exp $
IUSE="static nls bootstrap java build X multilib debug"
@@ -275,7 +275,7 @@ src_unpack() {
mkdir -p ${WORKDIR}/patch/exclude
mv -f ${WORKDIR}/patch/{40,41}* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -327,20 +327,20 @@ src_compile() {
local myconf=
local gcc_lang=
- if [ -z "`use build`" ]
+ if ! use build
then
myconf="${myconf} --enable-shared"
gcc_lang="c,c++,f77,objc"
else
gcc_lang="c"
fi
- if [ -z "`use nls`" -o "`use build`" ]
+ if ! use nls || use build
then
myconf="${myconf} --disable-nls"
else
myconf="${myconf} --enable-nls --without-included-gettext"
fi
- if [ -n "`use java`" -a -z "`use build`" ]
+ if use java && ! use build
then
gcc_lang="${gcc_lang},java"
fi
@@ -350,15 +350,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -437,7 +436,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -504,7 +503,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> \
@@ -527,7 +526,7 @@ src_install() {
# Make sure we dont have stuff lying around that
# can nuke multiple versions of gcc
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${D}${LIBPATH}
@@ -604,7 +603,7 @@ src_install() {
fi
cd ${S}
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${S}
docinto /${CCHOST}
@@ -639,7 +638,7 @@ src_install() {
cp -f docs/html/17_intro/[A-Z]* \
${D}/usr/share/doc/${PF}/${DOCDESTTREE}/17_intro/
- if [ -n "`use java`" ]
+ if use java
then
cd ${S}/fastjar
docinto ${CCHOST}/fastjar
@@ -663,7 +662,7 @@ src_install() {
exeinto /sbin
doexe ${FILESDIR}/fix_libtool_files.sh
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -683,7 +682,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -695,7 +694,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.4.ebuild b/sys-devel/gcc/gcc-3.3.4.ebuild
index abc9413620d7..566d218db69f 100644
--- a/sys-devel/gcc/gcc-3.3.4.ebuild
+++ b/sys-devel/gcc/gcc-3.3.4.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.4.ebuild,v 1.1 2004/06/20 18:13:22 azarah Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.4.ebuild,v 1.2 2004/06/24 04:31:25 agriffis Exp $
IUSE="static nls bootstrap build X multilib gcj f77 objc pic hardened uclibc debug"
@@ -326,7 +326,7 @@ src_unpack() {
mkdir -p ${WORKDIR}/patch/exclude
mv -f ${WORKDIR}/patch/16* ${WORKDIR}/patch/exclude/
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -394,9 +394,9 @@ src_unpack() {
[ -n "${PIE_VER}" ] && release_version="${release_version}, pie-${PIE_VER}"
- # if ( use hardened && ( use x86 || use sparc || use amd64 ) )
+ # if use hardened && ( use x86 || use sparc || use amd64 )
# the use hardened && use sparc part breaks glibc compiling - pappy
- if ( use hardened && ( use x86 || use amd64 ) )
+ if use hardened && ( use x86 || use amd64 )
then
einfo "Updating gcc to use automatic PIE + SSP building ..."
sed -e 's|^ALL_CFLAGS = |ALL_CFLAGS = -DEFAULT_PIE_SSP |' \
@@ -459,15 +459,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -z "`use build`" -a -n "`use gcj`" -a -n "`use X`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if ! use build && use gcj && use X && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -552,7 +551,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -614,7 +613,7 @@ src_install() {
dodir /etc/env.d/gcc
echo "PATH=\"${BINPATH}\"" > ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
echo "ROOTPATH=\"${BINPATH}\"" >> ${D}/etc/env.d/gcc/${CCHOST}-${MY_PV_FULL}
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
echo "LDPATH=\"${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32\"" >> \
@@ -776,7 +775,7 @@ src_install() {
exeinto /sbin
doexe ${FILESDIR}/fix_libtool_files.sh
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# If using multilib, GCC has a bug, where it doesn't know where to find
# -lgcc_s when linking while compiling with g++ . ${LIBPATH} is in
@@ -796,7 +795,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -808,7 +807,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
diff --git a/sys-devel/gcc/gcc-3.3.ebuild b/sys-devel/gcc/gcc-3.3.ebuild
index 462b85675e2d..d41f70dd853a 100644
--- a/sys-devel/gcc/gcc-3.3.ebuild
+++ b/sys-devel/gcc/gcc-3.3.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.ebuild,v 1.13 2004/03/25 08:12:54 mr_bones_ Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.3.ebuild,v 1.14 2004/06/24 04:31:25 agriffis Exp $
IUSE="static nls bootstrap java build X"
@@ -253,20 +253,20 @@ src_compile() {
local myconf=
local gcc_lang=
- if [ -z "`use build`" ]
+ if ! use build
then
myconf="${myconf} --enable-shared"
gcc_lang="c,c++,f77,objc"
else
gcc_lang="c"
fi
- if [ -z "`use nls`" -o "`use build`" ]
+ if ! use nls || use build
then
myconf="${myconf} --disable-nls"
else
myconf="${myconf} --enable-nls --without-included-gettext"
fi
- if [ -n "`use java`" -a -z "`use build`" ]
+ if use java && ! use build
then
gcc_lang="${gcc_lang},java"
fi
@@ -276,8 +276,7 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if use java && use X && ! use build && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
@@ -334,7 +333,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -395,7 +394,7 @@ src_install() {
# Make sure we dont have stuff lying around that
# can nuke multiple versions of gcc
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${D}${LIBPATH}
@@ -473,7 +472,7 @@ src_install() {
fi
cd ${S}
- if [ -z "`use build`" ]
+ if ! use build
then
cd ${S}
docinto /${CCHOST}
@@ -508,7 +507,7 @@ src_install() {
cp -f docs/html/17_intro/[A-Z]* \
${D}/usr/share/doc/${PF}/${DOCDESTTREE}/17_intro/
- if [ -n "`use java`" ]
+ if use java
then
cd ${S}/fastjar
docinto ${CCHOST}/fastjar
diff --git a/sys-devel/gcc/gcc-3.4.0-r6.ebuild b/sys-devel/gcc/gcc-3.4.0-r6.ebuild
index 27a41304d856..5471947fc6bd 100644
--- a/sys-devel/gcc/gcc-3.4.0-r6.ebuild
+++ b/sys-devel/gcc/gcc-3.4.0-r6.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.4.0-r6.ebuild,v 1.10 2004/06/09 00:34:52 lv Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.4.0-r6.ebuild,v 1.11 2004/06/24 04:31:25 agriffis Exp $
IUSE="static nls bootstrap java build X multilib gcj f77 objc hardened uclibc n32 n64"
@@ -382,7 +382,7 @@ src_unpack() {
cp ${S}/gcc/config/sh/t-sh64 ${S}/gcc/config/sh/t-sh64-uclibc || \
die "can't copy sh/t-sh64"
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
mv -f ${WORKDIR}/patch/06* ${WORKDIR}/patch/exclude/
bzip2 -c ${FILESDIR}/gcc331_use_multilib.amd64.patch > \
@@ -397,7 +397,7 @@ src_unpack() {
use build && use uclibc && ewarn "uclibc in build stage is not supported yet" && exit 1
use uclibc && epatch ${FILESDIR}/3.3.3/gcc-uclibc-3.3-loop.patch
- elif [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ elif use multilib && [ "${ARCH}" = "amd64" ]
then
# We need this even if there isnt a patchset
epatch ${FILESDIR}/gcc331_use_multilib.amd64.patch
@@ -447,7 +447,7 @@ src_unpack() {
fi
release_version="${release_version}, pie-${PIE_VER}"
- if ( use hardened && ( use x86 || use sparc || use amd64 ) )
+ if use hardened && ( use x86 || use sparc || use amd64 )
then
einfo "Updating gcc to use automatic PIE + SSP building ..."
sed -e 's|^ALL_CFLAGS = |ALL_CFLAGS = -DEFAULT_PIE_SSP |' \
@@ -512,16 +512,14 @@ src_compile() {
# X11 support is still very experimental but enabling it is
# quite innocuous... [No, gcc is *not* linked to X11...]
# <dragon@gentoo.org> (15 May 2003)
- if [ -n "`use java`" -a -n "`use gcj`" -a \
- -n "`use X`" -a -z "`use build`" -a \
- -f /usr/X11R6/include/X11/Xlib.h ]
+ if ! use build && use java && use gcj && use X && [ -f /usr/X11R6/include/X11/Xlib.h ]
then
myconf="${myconf} --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib"
myconf="${myconf} --enable-interpreter --enable-java-awt=xlib --with-x"
fi
# Multilib not yet supported
- if [ -n "`use multilib`" ]
+ if use multilib
then
einfo "WARNING: Multilib support enabled. This is still experimental."
myconf="${myconf} --enable-multilib"
@@ -620,7 +618,7 @@ src_compile() {
einfo "Building GCC..."
# Only build it static if we are just building the C frontend, else
# a lot of things break because there are not libstdc++.so ....
- if [ -n "`use static`" -a "${gcc_lang}" = "c" ]
+ if use static && [ "${gcc_lang}" = "c" ]
then
# Fix for our libtool-portage.patch
S="${WORKDIR}/build" \
@@ -693,7 +691,7 @@ src_install() {
# The LDPATH stuff is kinda iffy now that we need to provide compatibility
# with older versions of GCC for binary apps.
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# amd64 is a bit unique because of multilib. Add some other paths
LDPATH="${LIBPATH}:${LIBPATH}/32:${LIBPATH}/../lib64:${LIBPATH}/../lib32"
@@ -891,7 +889,7 @@ pkg_preinst() {
# Make again sure that the linker "should" be able to locate
# libstdc++.so ...
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"
@@ -903,7 +901,7 @@ pkg_preinst() {
pkg_postinst() {
- if [ -n "`use multilib`" -a "${ARCH}" = "amd64" ]
+ if use multilib && [ "${ARCH}" = "amd64" ]
then
# Can't always find libgcc_s.so.1, make it find it
export LD_LIBRARY_PATH="${LIBPATH}:${LIBPATH}/../lib64:${LIBPATH}/../lib32:${LD_LIBRARY_PATH}"